/***
 * Excerpted from "iCloud for Developers",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/cricloud for more book information.
***/
//
//  SMGroceryDocument.h
//  Grocery
//
//  Created by Cesare Rocchi on 5/18/13.
//
//

#import <UIKit/UIKit.h>
#import "SMGroceryItem.h"

@interface SMGroceryDocument : UIDocument

@property (nonatomic, strong) NSMutableArray *items;
@property (nonatomic, strong) NSMutableArray *images;

- (void) addItem:(SMGroceryItem *) groceryitem;
- (void) removeItemAtIndex:(NSInteger) index;
- (NSInteger ) count;
- (SMGroceryItem *)itemAtIndex:(NSUInteger)index;
- (UIImage *)imageAtIndex:(NSUInteger)index;

@end

extern NSString *const SMItemModifiedNotification;
extern NSString *const SMModificationSavedNotification;

